Subject: Offline Message from Makiko Ikeda: I own a Swagboard Twist (sn-S6T81L18090312
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sun, 17 Nov 2019 06:32:37 -0000

From: Makiko Ikeda <[email-masked]>
Phone: 2067241076
Location: Sammamish, United States
URL: https://swagtron.com/?gclid=Cj0KCQiA2b7uBRDsARIsAEE9XpE9PQWkeIIqBGn0-QNwxekCDW5zLmdQTGumg-2jk7vCcHYFtEKa-SIaArNSEALw_wcB
Department: SwagTron

I own a Swagboard Twist (sn-S6T81L180903126), which I purchased from Amazon on 11/29/2018. Earlier this year, I sent it in to be serviced as it would not hold a decent charge in the battery. It paid for the shipping and it was returned to me, but I was told nothing was wrong with it.  The board does work, however it runs low on battery after only 8 minutes and beeps incessantly.  It is still under warranty and I would like a replacement if the battery issue can not be resolved. 

----
Zopim
https://www.zopim.com